# run.py -- a program to run wicd's daemon from the current directory
# Copyright (C) 2009 Adam Blackburn
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import os, sys
sys.path.insert(0, os.getcwd())

import logging

logging.basicConfig(level=1,
                    # format='%(levelname)-8s %(message)s',
                    format='%(filename)s:%(funcName)s:%(lineno)d: %(message)s',)
                    #format='%(levelname)-8s %(message)s', datefmt='%Y%b%d %H:%M:%S')

from wicd.core import main
main.run()
