
# Copyright (C) 2009 Adam Blackburn
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
# USA.

import logging

# a custom logging level, verbose
# this is for *any* debugging detail
# that you will almost never need
def verbose(*args, **kwargs):
    logging.log(1, *args, **kwargs)

# duplicate the default logging levels
def debug(*args, **kwargs):
    logging.debug(*args, **kwargs)

def info(*args, **kwargs):
    logging.info(*args, **kwargs)

def warning(*args, **kwargs):
    logging.warning(*args, **kwargs)

def error(*args, **kwargs):
    logging.error(*args, **kwargs)

def critical(*args, **kwargs):
    logging.critical(*args, **kwargs)

def exception(*args, **kwargs):
    logging.exception(*args, **kwargs)
