# Copyright (C) 2009 Adam Blackburn
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
# USA.

def get_plugin_dirs():
    return ["./plugins"]

# fake Exaile's set_option and get_option for now
values = {}

def set_option(key, value):
    values[key] = value

def get_option(key, default=None):
    try:
        return values[key]
    except KeyError:
        return default
